#!/usr/bin/gnuplot

deg = pi/180.

set colors classic

set xl "x [arcsec]"
set yl "y [arcsec]"

tmp=1.00
set xr [-tmp:tmp]
set yr [-tmp:tmp]
set zeroaxis
set size ratio -1
set key left

set label "NIRC2"  at graph 0.05,graph 0.85 font "Helvetica,10" tc 'blue'
set label "NACO"   at graph 0.05,graph 0.82 font "Helvetica,10" tc '#00aaff'
set label "NIRI"   at graph 0.05,graph 0.79 font "Helvetica,10" tc 'green'
set label "SPHERE" at graph 0.05,graph 0.76 font "Helvetica,10" tc 'cyan'

p \
  "Sky2.dat"             u (-$2*sin($3*deg)):($2*cos($3*deg)) t "uncorrecred" w p,\
  "<awk '/NIRC2/'  Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("    %.1f", $1-2400000)) not w labels font "Helvetica,8" tc 'blue'    left,\
  "<awk '/NACO/'   Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("    %.1f", $1-2400000)) not w labels font "Helvetica,8" tc '#00aaff' left,\
  "<awk '/NIRI/'   Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("    %.1f", $1-2400000)) not w labels font "Helvetica,8" tc 'green'   left,\
  "<awk '/SPHERE/' Sky2.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)):(sprintf("    %.1f", $1-2400000)) not w labels font "Helvetica,8" tc 'cyan'    left,\
  "<./ellipses.awk Sky2.dat" u 1:2 not w l lc 'orange',\

pa -1

set term png small size 2048,2048
set out "Sky2.png"
rep

q

  "../photocentre/Sky2_photocentre.dat" u (-$2*sin($3*deg)):($2*cos($3*deg)) t "photocentre" w p,\


  "<awk '!/^#/{ print 0,0; print $2,$3; print s; }' photocentre.dat" u ($1*1e-3):($2*1e-3) w l
# p "<awk '/DESCAMPS/' Sky2.dat" u ($2*cos($3*deg)):($2*sin($3*deg)) w p


